Skip to main content
Unlike bank data and payment initiation requests, product data is non-consented. This means you don’t need to go through a consent flow, making the process of accessing this data much simpler.

Step 1 - Get a client-credentials scoped Access Token

To create a client credentials token send a POST request to the following endpoint, with the scope openid products: /token/client-credentials /token/client-credentials

Step 2 – Getting products

Now that you have the required access token you can get the bank data payment by making a GET request to the following endpoint: /open-finance/product/v1.2/products authorize_endpoint enter_access_token Behind the scenes, this request triggers Retrieve Products (GET /products) to the Al Tareq Sandbox Model Bank to retrieve the available products.

Products Response